## org.mortbay.http
Class HttpException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--org.mortbay.http.HttpException

All Implemented Interfaces:
  java.io.Serializable

public class HttpException
extends java.io.IOException

Exception for known HTTP error status.

Version:
  $Revision: 1.3 $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`HttpException()`
`HttpException(int code)`
`HttpException(int code, java.lang.String message)`

Method Summary
`int` `getCode()`
`java.lang.String` `getReason()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpException

    public HttpException()

### HttpException

    public HttpException(int code)

### HttpException

    public HttpException(int code,
                         java.lang.String message)

Method Detail

### getCode

    public int getCode()

### getReason

    public java.lang.String getReason()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.